Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class MailPreferences.Signature

    java.lang.Object
      portlets.compoze.groupware.pref.MailPreferences.Signature

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  MailPreferences

public static class MailPreferences.Signature
extends java.lang.Object
implements java.io.Serializable

This class represents a message signature.

See Also:
  Serialized Form

Field Summary
`static int` | `SIGNATURE_MAX_LENGTH`

Constructor Summary
`MailPreferences.Signature()` Constructor.

Method Summary
`boolean` | `getAddToMessage()` Checks if the signature text should be added to messages.
`java.lang.String` | `getText()` Gets the signature text.
`java.lang.String` | `getTextHtml()` Gets the signature text in HTML format (starts with three lines breaks).
`void` | `setAddToMessage(boolean bAddToMessage)` Sets the flag to designate if the signature text should be added to messages.
`void` | `setText(java.lang.String sText)` Sets the signature text.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SIGNATURE_MAX_LENGTH

    public static final int SIGNATURE_MAX_LENGTH

See Also:
  Constant Field Values

Constructor Detail

### MailPreferences.Signature

    public MailPreferences.Signature()

  Constructor.

Method Detail

### getAddToMessage

    public boolean getAddToMessage()

  Checks if the signature text should be added to messages.

  Returns:
    `true` to add to messages; `false` otherwise

### setAddToMessage

    public void setAddToMessage(boolean bAddToMessage)

  Sets the flag to designate if the signature text should be added to messages.

  Parameters:
    `bAddToMessage` - `true` to add to messages; `false` otherwise

### getText

    public java.lang.String getText()

  Gets the signature text.

  Returns:
    the signature text

### getTextHtml

    public java.lang.String getTextHtml()

  Gets the signature text in HTML format (starts with three lines breaks).

  Returns:
    the signature text in HTML format

### setText

    public void setText(java.lang.String sText)

  Sets the signature text. The signature text length must be smaller than `SIGNATURE_MAX_LENGTH`. If the specified text is larger than the max length, the text is truncated.

  Parameters:
    `sText` - the signature text (may not be `null`)
  See Also:
    `SIGNATURE_MAX_LENGTH`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.